Name:           autodownloader
Version:        0.3.0
Release:        4%{?dist}
Summary:        GUI-tool to automate the download of certain files
License:        GPLv2+
Group:          Applications/Internet
URL:            http://sourceforge.net/projects/autodownloader
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       pygtk2-libglade hicolor-icon-theme

%description
Some software (usually games) requires certain data files to operate, sometimes
these datafiles can be freely downloaded but may not be redistributed and thus
cannot be put into so called packages as part of a distro.

autodownloader is a tool which can be used as part of a package to automate the
download of the needed files. It will prompt the user explaining to him the
need of the download and asking if it is ok to make an internet connection,
after this it will show the license of the to be downloaded files and last it
will do the actual download and md5 verification off these files. This whole
process can be configured by the packager through a simple configuration file.

Notice that Autodownloader while open source itself, may download files which
are not permitted to be (re)distributed unlike most files in Fedora.


%prep
%setup -q


%build
# nothing to build pure python code only


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog GladeWindow-license.txt README.txt TODO example.autodlrc
%{_datadir}/autodl
%{_datadir}/icons/hicolor/*/apps/autodl.png


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun  1 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.3.0-1
- New upstream release (all patches merged)
- Includes new icons by Michael Beckwith

* Thu Dec 13 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-6
- Add 2 more patches from Ivo Manca:
  * Make ask to start configurable
  * Some trailing whitespace cleanups

* Thu Nov 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-5
- Apply patch from Ivo Manca fixing the downloading of files with an
  unknown size, thanks!

* Thu Oct  4 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-4
- Check if files exist (and have the correct md5sum) from a previous download
  and skip downloading them (bz 309381)

* Fri Aug  3 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-3
- Update License tag for new Licensing Guidelines compliance

* Wed May 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-2
- Make the timeout for stalled mirror detection larger, this fixes the use of
  autodownloader for those with slow links

* Sun Apr 29 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.2.0-1
- Initial Fedora Extras package
